# Class Signage#unregisterRS232CEventListener

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#unregisterRS232CEventListener(successCallback, errorCallback) Unregisters event listener to monitor rs232c data.

## Class Detail

Signage#unregisterRS232CEventListener(successCallback, errorCallback)

Unregisters event listener to monitor rs232c data. No more events will be received.

    // Javascript code
    function unregisterRS232CEventListener() {
       var successCb = function (){
         console.log("successfully canceled");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.unregisterRS232CEventListener(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.5
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.

See:
  Signage.registerRS232CEventListener()